net.sf.jasperreports.engine.xml

## Class JRXmlDigesterFactory

- java.lang.Object
- - net.sf.jasperreports.engine.xml.JRXmlDigesterFactory

-     public final class JRXmlDigesterFactory
      extends java.lang.Object

  JRXmlDigesterFactory encapsulates the code necessary to construct and configure a digester in order to prepare it for parsing JasperReports xml definition files.
  Version:
    $Id: JRXmlDigesterFactory.java 7070 2014-04-30 14:46:08Z lucianc $
  Author:
    Peter Severin (peter_p_s@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static JRSingletonCache<JRSaxParserFactory>` | `reportParserFactories`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static void` | `addComponentRules(org.apache.commons.digester.Digester digester)`
    `protected static void` | `addExpressionRules(org.apache.commons.digester.Digester digester, java.lang.String expressionPattern, java.lang.String setterMethod)`
    `protected static void` | `addGenericElementRules(org.apache.commons.digester.Digester digester)`
    `protected static void` | `addTemplateRules(org.apache.commons.digester.Digester digester)`
    `static void` | `configureDigester(org.apache.commons.digester.Digester digester)` Configures the given digester for parsing jasperreport xml report definition files.
    `static JRXmlDigester` | `createDigester()` Creates a new instance of digester.
    `protected static javax.xml.parsers.SAXParser` | `createParser()`
    `static void` | `setComponentsInternalEntityResources(JRXmlDigester digester)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### reportParserFactories

          protected static final JRSingletonCache<JRSaxParserFactory> reportParserFactories

  - ### Method Detail

    - #### configureDigester

          public static void configureDigester(org.apache.commons.digester.Digester digester)
                                        throws org.xml.sax.SAXException,
                                               javax.xml.parsers.ParserConfigurationException

      Configures the given digester for parsing jasperreport xml report definition files.
      Throws:
        `org.xml.sax.SAXException`
        `javax.xml.parsers.ParserConfigurationException`

    - #### addComponentRules

          protected static void addComponentRules(org.apache.commons.digester.Digester digester)

    - #### addTemplateRules

          protected static void addTemplateRules(org.apache.commons.digester.Digester digester)

    - #### addGenericElementRules

          protected static void addGenericElementRules(org.apache.commons.digester.Digester digester)

    - #### addExpressionRules

          protected static void addExpressionRules(org.apache.commons.digester.Digester digester,
                                java.lang.String expressionPattern,
                                java.lang.String setterMethod)

    - #### createDigester

          public static JRXmlDigester createDigester()
                                              throws javax.xml.parsers.ParserConfigurationException,
                                                     org.xml.sax.SAXException

      Creates a new instance of digester. The created digester is ready for parsing report definition files.
      Throws:
        `javax.xml.parsers.ParserConfigurationException`
        `org.xml.sax.SAXException`

    - #### createParser

          protected static javax.xml.parsers.SAXParser createParser()

    - #### setComponentsInternalEntityResources

          public static void setComponentsInternalEntityResources(JRXmlDigester digester)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com